Bug 1538215 - [DOCKER] Eviction manager erros in node logs
Summary: [DOCKER] Eviction manager erros in node logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.9.z
Assignee: Antonio Murdaca
QA Contact: Vikas Laad
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-24 16:04 UTC by Vikas Laad
Modified: 2018-06-18 18:17 UTC (History)
7 users (show)

Fixed In Version: openshift v3.9.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-18 18:17:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2013 normal SHIPPED_LIVE Important: OpenShift Container Platform 3.9 security, bug fix, and enhancement update 2018-06-27 22:01:43 UTC

Description Vikas Laad 2018-01-24 16:04:33 UTC
Description of problem:
Lots of Eviction Manager errors in node logs as follows

Jan 20 23:11:49 ip-172-31-13-204.us-west-2.compute.internal atomic-openshift-node[5748]: E0120 23:11:49.959266    5748 eviction_manager.go:238] eviction manager: unexpected err: failed to get imageFs stats: failed to get image stats: rpc error: code = Unknown desc = Error response from daemon: layer does not exist

Version-Release number of selected component (if applicable):
openshift v3.9.0-0.20.0
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.8

Steps to Reproduce:
1. Keep creating/building/scaling quickstart apps on OCP cluster
2. See node logs for errors

Actual results:
Eviction errors in node logs

Expected results:
No errors in node logs

Additional info:
Attaching node logs

Comment 7 Antonio Murdaca 2018-02-06 16:29:11 UTC
fixed in latest branches for 1.12/1.13

Comment 10 Vikas Laad 2018-04-16 13:43:24 UTC
Verified in following version, did not see the problem after running reliability tests for a week.

openshift v3.9.19
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

Client:
 Version:         1.13.1
 API version:     1.26
 Package version: <unknown>
 Go version:      go1.8.3
 Git commit:      774336d/1.13.1
 Built:           Tue Feb 20 13:46:34 2018
 OS/Arch:         linux/amd64

Server:
 Version:         1.13.1
 API version:     1.26 (minimum version 1.12)
 Package version: <unknown>
 Go version:      go1.8.3
 Git commit:      774336d/1.13.1
 Built:           Tue Feb 20 13:46:34 2018
 OS/Arch:         linux/amd64
 Experimental:    false


Note You need to log in before you can comment on or make changes to this bug.